<nav class="navbar navbar-expand-lg align-items-lg-center container-p-x" [ngClass]="currentBg()">

  <!-- Brand demo (see demo.css) -->
  <a routerLink="/company/company-list" class="navbar-brand demo-brand d-lg-none py-0">
    <span class="demo-brand-logo">
        <img class="logo-class" src="assets/img/logo.png" style="width:100%">
         </span>
    <span class="demo-brand-name font-weight-normal ml-2">Hypersonix</span>
  </a>

  <!-- Sidenav toggle (see demo.css) -->
<!--  <div class="layout-sidenav-toggle navbar-nav d-lg-none align-items-lg-center mr-auto" *ngIf="sidenavToggle">
    <a class="nav-item nav-link px-0 ml-2 ml-lg-0" href="javascript:void(0)" (click)="toggleSidenav()">
      <i class="ion ion-md-menu text-large align-middle"></i>
    </a>
  </div> -->

  <button class="navbar-toggler" type="button" (click)="isExpanded = !isExpanded">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="navbar-collapse collapse" [ngbCollapse]="!isExpanded">
    <!-- Divider -->
    <hr class="d-lg-none w-100 my-2">

      <!-- <div ngbDropdown [autoClose]="true" class="navbar-nav align-items-center" style="width:100%;">

          <div ngbDropdownMenu class="search-suggestion float-left" *ngIf="showSuggestion">
              <span class="dropdown-item text-center" *ngIf="suggestionList.length == 0" >No data found</span>
              <a class="dropdown-item" href="javascript:void(0)" *ngFor="let item of suggestionList" (click)="itemSelected(item)">{{item}}</a>
          </div>
      </div> -->



      <!-- <div class="navbar-nav align-items-center" *ngIf="false">
          <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
              <a href="javascript:void(0)" (click)="stopSpeechRecognition()" *ngIf="speakerOpen">
                <img src="../../../assets/img/uikit/speaker.png" class="d-block ui-w-50 rounded-circle">
              </a>
              <a href="javascript:void(0)" (click)="startSpeechRecognition()" *ngIf="!speakerOpen">
                <img src="../../../assets/img/uikit/speaker-done.png" class="d-block ui-w-50 rounded-circle">
              </a>
          </div>
          <div class="nav-item d-none d-lg-block line-height-1 opacity-50 mr-3 ml-1">
              <div class="app-search-siri-container d-none" [ngClass]="{'d-block': speakerOpen}">
                  <div #siriwaveview></div>
              </div>
          </div>
      </div> -->

    <div class="navbar-nav align-items-lg-center ml-auto">

      <!-- <div class="nav-item d-none d-lg-block text-big font-weight-light line-height-1 opacity-25 mr-3 ml-1">|</div> -->

      <div dropdown [autoClose]="true" class="demo-navbar-user nav-item btn-group">
        <a dropdownToggle class="nav-link dropdown-toggle" href="javascript:void(0)">        
          <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
            <span class="px-1 mr-lg-2 ml-2 ml-lg-0">{{userName.toUpperCase()}}</span>
          </span>
        </a>
        <div *dropdownMenu class="dropdown-menu profileMenu" role="menu">
          <!-- <div class="dropdown-divider"></div> -->
          <a href="javascript:void(0)" class="dropdown-item" (click)="logout()"><i class="ion ion-ios-log-out text-danger"></i> &nbsp; Log Out</a>          
        </div>
      </div>
    </div>
  </div>
</nav>
